CREATE TABLE ff_data_dictionary (
    DATA_DICTIONARY_ID           NUMBER(18, 0) ,
    BASE_DICTIONARY_NAME         VARCHAR2(960)     NOT NULL,
    SOURCE_TYPE                  VARCHAR2(80)  ,
    SOURCE_ID                    NUMBER(18, 0) ,
    PARENT_ID                    NUMBER(18, 0) ,
    GROUP_TYPE                   VARCHAR2(80)  ,
    GROUP_ID                     VARCHAR2(120) ,
    LIST_FLAG                    VARCHAR2(80)  ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0) ,
    LEGISLATION_CODE             VARCHAR2(120) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    DATA_DICTIONARY_ID           NUMBER(18, 0) ,
    BASE_DICTIONARY_NAME         VARCHAR2(960)     NOT NULL,
    SOURCE_TYPE                  VARCHAR2(80)  ,
    SOURCE_ID                    NUMBER(18, 0) ,
    PARENT_ID                    NUMBER(18, 0) ,
    GROUP_TYPE                   VARCHAR2(80)  ,
    GROUP_ID                     VARCHAR2(120) ,
    LIST_FLAG                    VARCHAR2(80)  ,
    LEGISLATIVE_DATA_GROUP_ID    NUMBER(18, 0) ,
    LEGISLATION_CODE             VARCHAR2(120) ,
    ENTERPRISE_ID                NUMBER(18, 0)     NOT NULL,
    MODULE_ID                    VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)      NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_ff_data_dictionary PRIMARY KEY (DATA_DICTIONARY_ID, DATA_DICTIONARY_ID)
);
